Downloads the source file of the transaction
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles/{fileId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles/{fileId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles/{fileId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}TransactionDocuments
Downloads the source file of the transaction
Downloads the original file that was uploaded to the transaction document, returned as a binary stream. You can find file identifiers in the transaction document info.
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
/
{documentId}
/
sourceFiles
/
{fileId}
/
download
Downloads the source file of the transaction
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Transaction identifier
Transaction document identifier
Blob identifier
Response
File content is successfully returned
The response is of type file.
Was this page helpful?
⌘I
